Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157550 - GtkAda has ExcludeArch PPC because there is no gcc-gnat for PPC
Summary: GtkAda has ExcludeArch PPC because there is no gcc-gnat for PPC
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: GtkAda
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 158458
Blocks: F-ExcludeArch-ppc
TreeView+ depends on / blocked
 
Reported: 2005-05-12 16:43 UTC by Thorsten Leemhuis
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-06 16:23:55 UTC


Attachments (Terms of Use)

Description Thorsten Leemhuis 2005-05-12 16:43:41 UTC
Adding ExcludeArch PPC to spec because there is no gcc-gnat for PPC currently;
gcc-gnat is a BR.

Comment 1 Colin Charles 2005-05-17 11:00:06 UTC
Why is there no gcc-gnat, and does someone want to file a bug against that to
see if that can work in Core? Thanks

Comment 2 Thorsten Leemhuis 2005-05-17 13:43:41 UTC
(In reply to comment #1)
> Why is there no gcc-gnat,
rpm -qp --changelog gcc-gnat-4.0.0-2.x86_64.rpm 

* Fr Mär 04 2005 Jakub Jelinek  <jakub@redhat.com> 4.0.0-0.31
[...]
- temporarily disable Ada on ppc, where there are bootstrap comparison
  failures

> and does someone want to file a bug against that to
> see if that can work in Core? 

Someone != me 

;-) I have enough to do with x86_64 already, sorry

Comment 3 David Woodhouse 2006-12-30 13:44:55 UTC
GtkAda works fine with gcc-gnat-4.1.1 in FC-6, and I've uploaded it to
ftp://ftp.infradead.org/pub/fc6-ada/

We just need to get gnat built into the buildroot; see bug 158458.



Comment 4 David Woodhouse 2007-01-05 10:21:52 UTC
As of gcc-4.1.1-51 we have gnat in rawhide. Please build GtkAda for PPC.


Comment 5 Gérard Milmeister 2007-01-05 20:56:18 UTC
Tried to build on ppc-devel. There is no gnat yet.

Comment 6 David Woodhouse 2007-01-05 23:36:03 UTC
Please try again. The ghdl build (bug #174720) has already completed successfully.

Comment 7 Gérard Milmeister 2007-01-06 16:23:55 UTC
Build for ppc in devel.

Comment 8 David Woodhouse 2007-01-07 02:08:54 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.